Bug 203767 - [patch] devel/thrift{-cpp,-c_glib}: Update to 0.9.3, extra patches
Summary: [patch] devel/thrift{-cpp,-c_glib}: Update to 0.9.3, extra patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-14 10:17 UTC by David Carlier
Modified: 2015-10-27 16:34 UTC (History)
2 users (show)

See Also:
komarov: maintainer-feedback+


Attachments
Archive of individual diffs (9.50 KB, application/x-tar)
2015-10-14 10:17 UTC, David Carlier
no flags Details
patch thrift ports (5.32 KB, patch)
2015-10-15 19:19 UTC, David Carlier
koobs: maintainer-approval+
Details | Diff
Portlint output (11.17 KB, text/plain)
2015-10-15 19:22 UTC, David Carlier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Carlier 2015-10-14 10:17:50 UTC
Created attachment 162026 [details]
Archive of individual diffs

Those diffs update thrift from 0.9.1 to current 0.9.3
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-14 10:35:19 UTC
devnexen@, could you please:

 * Attach your changes as a single SVN diff
 * Provide QA results (poudriere, portlint) as attachments
 * Provide a summary of the other changes made (patches, etc)

Thanks for your submission!
Comment 2 David Carlier 2015-10-15 13:12:56 UTC
Even better :-)(ie svn diff), I feared that you would prefer real diff files, ok I will give it a try this evening.
Comment 3 David Carlier 2015-10-15 19:19:26 UTC
Created attachment 162095 [details]
patch thrift ports

This patch covers the necessary changes for thrift, thrift-cpp and thrift-c_glib, for the second we can find the two usual patches for the code source itself just an update to fits the new version.
Comment 4 David Carlier 2015-10-15 19:22:07 UTC
Created attachment 162097 [details]
Portlint output

Portlint output
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 08:18:50 UTC
Pending maintainer approval and confirmation all changes pass QA (poudriere)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-21 07:29:27 UTC
Comment on attachment 162095 [details]
patch thrift ports

I'll take that maintainer-feedback + as an implied maintainer-"approval"
Comment 7 commit-hook freebsd_committer 2015-10-21 14:18:12 UTC
A commit references this bug:

Author: mat
Date: Wed Oct 21 14:17:02 UTC 2015
New revision: 399916
URL: https://svnweb.freebsd.org/changeset/ports/399916

Log:
  Update to 0.9.3

  PR:		203767
  Submitted by:	devnexen gmail com
  Approved by:	maintainer
  Sponsored by:	Absolight

Changes:
  head/devel/thrift/Makefile
  head/devel/thrift/bsd.thrift.mk
  head/devel/thrift/distinfo
  head/devel/thrift-c_glib/Makefile
  head/devel/thrift-c_glib/pkg-plist
  head/devel/thrift-cpp/Makefile
  head/devel/thrift-cpp/files/patch-lib__cpp__src__thrift__protocol__TBinaryProtocol.tcc
  head/devel/thrift-cpp/files/patch-lib__cpp__src__thrift__server__TNonblockingServer.h
  head/devel/thrift-cpp/pkg-plist
Comment 8 Dmitry Marakasov freebsd_committer 2015-10-26 17:40:26 UTC
This change broken a bunch of ports, namely devel/p5-Thrift (incomplete plist) and devel/fb303 (broken distinfo). Please be more careful.
Comment 9 commit-hook freebsd_committer 2015-10-26 17:41:14 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Oct 26 17:40:34 UTC 2015
New revision: 400194
URL: https://svnweb.freebsd.org/changeset/ports/400194

Log:
  - Add missing files to plist

  PR:		203767

Changes:
  head/devel/p5-Thrift/Makefile
  head/devel/p5-Thrift/pkg-plist
Comment 10 commit-hook freebsd_committer 2015-10-26 17:42:16 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Oct 26 17:41:24 UTC 2015
New revision: 400195
URL: https://svnweb.freebsd.org/changeset/ports/400195

Log:
  - Fix build by not using outdated distinfo
  - Fix plist

  PR:		203767

Changes:
  head/devel/fb303/Makefile
  head/devel/fb303/distinfo
  head/devel/fb303/pkg-plist
Comment 11 commit-hook freebsd_committer 2015-10-27 16:25:32 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Oct 27 16:24:34 UTC 2015
New revision: 400329
URL: https://svnweb.freebsd.org/changeset/ports/400329

Log:
  - Fix plist
  - Add NO_ARCH

  PR:		203767

Changes:
  head/devel/node-thrift/Makefile
  head/devel/node-thrift/pkg-plist
Comment 12 David Carlier 2015-10-27 16:34:41 UTC
apologies I ll be more careful next time.